Subject: Re: Linux 2.4.25 / MPC8280 / ram config vs Linux instability?

From: "Mark Chambers" <[email-masked]>
Date: Mon, 11 Jul 2005 10:03:35 -0400

> I am using U-boot to configure up the SDRAM and SRAM in our system before
we
> launch Linux. We have 32 Mb of SDRAM and 2 MB of SRAM in the system.
>
> If I leave the SRAM mapped at higher addresses 0x10000000 and SDRAM at
> 0x00000000, like U-boot defaults to Linux works great. However, my goal is
> to map SRAM <8ns speeds> down to the address 0x00000000, to map the vector
> table, so I can achieve a very fast interrupt response time.
>

Your core is probably running at about 400MHz, so 66MHz SRAM is still slow.
This is what cache is for.  Maybe you should look into locking interrupt
code in
cache.  Probably, however, you will find that messing with the overall
optimizations
of the kernel will be a net slowdown.

Mark Chambers